<?php
require_once 'modelos/MUsuarios.php';

header('Content-Type: application/json');

if ($_SERVER["REQUEST_METHOD"] != 'POST') {
    http_response_code(405);
    echo json_encode(['status' => 'error', 'message' => 'Método no permitido']);
}
$json_data = file_get_contents('php://input');
$data = json_decode($json_data, true);

$mUsuarios = new MUsuarios();
$usuarios = $mUsuarios->validacionLoginRepetido($data["id"], $data["login"]);
//$usuarios = $mUsuarios->buscarUsuarios();
$respuesta = [];
if (count($usuarios) > 0) {
    $respuesta = [
        'status' => '!OK',
        'message' => 'ERROR! El usuario (' . $data["id"] . ') ' . $data["login"] . '  a sido encontrado en la base de datos ¡NO PASA VALIDACIÓN!'
    ];
} else {
    $respuesta = [
        'status' => 'OK',
        'message' => 'El usuario (' . $data["id"] . ') ' . $data["login"] . ' no  ha sido encontrado en la base de datos ¡PASA VALIDACIÓN!'
    ];
}
echo json_encode($respuesta);
